### Constructor

# Gtk.SliceListModel.new

#### Declaration [src]

    GtkSliceListModel*
    gtk_slice_list_model_new (
      GListModel* model,
      guint offset,
      guint size
    )

#### Description [src]

Creates a new slice model.

It presents the slice from `offset` to offset + `size` of the given `model`.

#### Parameters

`model` | `GListModel*`
| The model to use, or `NULL`
| Can be `NULL`
| Ownership of the data is transferred to the callee
`offset` | `guint`
| the offset of the slice
`size` | `guint`
| maximum size of the slice

#### Return value

Returns: `GtkSliceListModel`
A new `GtkSliceListModel`
Ownership of the data is transferred to the caller